#include <glib.h>
#include "jberror.h"

char * jb_error_get_string(JBErrorCode err)
{
        char * ret = NULL;
        /* Should I have a table? */
        switch (err) {
        case JTAG_NO_ERROR:
                ret = "No Error"; break;
        case JTAG_OPEN_FILE_FAILED:
                ret = "Can't Open File"; break;
	case JTAG_READ_FILE_FAILED:
		ret = "Unable to read file"; break;
        case JTAG_OPEN_SOCKET_FAILED:
                ret = "Connection Terminated"; break;
	case JTAG_INVALID_DATA:
		ret = "Invalid Data (if te7720, use --mode=te7720)"; break;
	case JTAG_TARGET_NOT_CONNECTED:
		ret = "Target is not connected"; break;
	case JTAG_TARGET_NOT_FOUND:
		ret = "Target is not found"; break;
        default:
                ret = "Unknown Error"; break;
        }
        return ret;
}
